%define date    20231016
%define commit  eef943f0edf3beee8ecb85d4a9dae3656002fc24

Name:           signon-ui
Version:        0.15
Release:        %mkrel %{?date:7.git%date.}3
Summary:        Online Accounts Sign-on Ui
Group:          Development/KDE and Qt
License:        GPLv3
# https://launchpad.net/signon-ui
URL:            https://gitlab.com/accounts-sso/signon-ui
Source0:        https://gitlab.com/accounts-sso/signon-ui/-/archive/%{commit}/%{name}-%{version}%{?date:-%date}.tar.bz2
#Source0: https://launchpad.net/signon-ui/trunk/%%{version}/+download/%%{name}-%%{version}.tar.bz2
Patch1:         signon-ui-0.15-dont-install-tests.patch

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(signond)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt6)
BuildRequires:  pkgconfig(accounts-qt6)

%description
Sign-on UI is the component responsible for handling the user interactions
which can happen during the login process of an online account.
It can show password dialogs and dialogs with embedded web pages.

%files
%doc README TODO NOTES
%license COPYING
%{_bindir}/signon-ui
%{_datadir}/applications/signon-ui.desktop
%{_datadir}/dbus-1/services/com.canonical.indicators.webcredentials.service
%{_datadir}/dbus-1/services/com.nokia.singlesignonui.service
%dir %{_sysconfdir}/signon-ui
%{_sysconfdir}/signon-ui/webkit-options.d

#----------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{!?date:%version}%{?date:%commit}

%build
%qmake_qt6

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Own directory where others can install provider-specific configuration
mkdir -p %{buildroot}%{_sysconfdir}/signon-ui/webkit-options.d


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.15-7.git20231016.3.mga10
+ Revision: 2220291
- Mageia 10 Mass Rebuild

* Fri Nov 17 2023 daviddavid <daviddavid> 0.15-7.git20231016.2.mga10
+ Revision: 2007262
- disable 32bit support as we don't have Qt6-webengine
- update to latest git snapshot as of 20231016 to make it build with Qt6

* Tue Mar 21 2023 daviddavid <daviddavid> 0.15-7.git20171022.1.mga9
+ Revision: 1949974
- update to latest git snapshot as of 20171022 to make it build with QtWebengine
  * https://gitlab.com/accounts-sso/signon-ui/-/commit/4368bb77

* Tue Apr 05 2022 umeabot <umeabot> 0.15-6.mga9
+ Revision: 1845001
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.15-5.mga8
+ Revision: 1659850
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.15-4.mga8
+ Revision: 1525037
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.15-3.mga7
+ Revision: 1384816
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.15-2.mga7
+ Revision: 1301030
- Mageia 7 Mass Rebuild

* Fri Jul 15 2016 daviddavid <daviddavid> 0.15-1.mga6
+ Revision: 1042207
- imported package signon-ui

